Refresh Queue Aggregation
curl --request POST \
--url https://api.duvo.ai/v2/queues/{queue_id}/aggregations/{definition_id}/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}/aggregations/{definition_id}/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/queues/{queue_id}/aggregations/{definition_id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"columns": [
"<string>"
],
"rows": [
{}
],
"freshness_outcome": "exact",
"schema_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_version": 0,
"current_schema_version": 0,
"source_revision": 4503599627370495,
"current_revision": 4503599627370495,
"is_stale": true,
"computed_at": "<string>",
"total_rows": 4503599627370495,
"excluded_rows": {
"count": 4503599627370495,
"reason": "legacy"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Queues
Refresh Queue Aggregation
Force a fresh recompute of an aggregation definition.
POST
/
v2
/
queues
/
{queue_id}
/
aggregations
/
{definition_id}
/
refresh
Refresh Queue Aggregation
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The queue's unique identifier
The aggregation definition's identifier
Response
Default Response
Show child attributes
Show child attributes
Available options:
exact, folded_forward, recomputed Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
Was this page helpful?